import QtQuick 2.4

Image {
    id: root

    source: "graphics/BeatingHeart/224_Data_Target_Icon.png"
    fillMode: Image.PreserveAspectFit
    state: "Normal"
    smooth: true
    states: [
        State{
            name: "Expanded"
            PropertyChanges {target: root; scale: 1.25}
        },
        State{
            name: "Normal"
            PropertyChanges {target: root; scale: 0.75}
        }
    ]

    transitions:
        Transition {
                    from: "Normal"
                    to: "Expanded"
                    reversible: true
                    SequentialAnimation {
                        NumberAnimation { duration: 400; properties: "scale"; easing.type: Easing.InOutBounce }
                    }
                }

    Timer{
        id:beatingHeartTimer
        interval: 600
        repeat: true
        running: root.visible
        onTriggered: {
            if(parent.state == "Expanded") parent.state = "Normal"
            else parent.state = "Expanded"
        }
        onRunningChanged:{
            if(!running) parent.state = "Normal"
        }
    }
}
