import QtQuick 2.4

ControlListItem {
    id: root

    property string label: "----"
    property string labelColor: "black"
    property url buttonUpImage: "graphics/InlineButton/SM_Button_Up.png"
    property url buttonDownImage: "graphics/InlineButton/SM_Button_Down.png"
    property bool showImage: false
    property alias font: labelArea.font
    property int labelWidth: labelArea.implicitWidth

    width: childrenRect.width
    height: visible ? 56 : 0
    x: 30
    opacity: 1

    navCursorWidth: root.width

    signal pressed()

    property bool disabled: !enabled

    onEnterPressed: {
        root.pressed()
    }

    Rectangle {
        id: enclosingRect
        anchors.fill: parent
        color: "transparent"
        ImageButton {
            id: inlineImage
            width: root.showImage ? childrenRect.width : 0
            visible: root.showImage
            upimage: root.buttonUpImage
            downimage: root.buttonDownImage
            anchors.left: parent.left
            anchors.verticalCenter: parent.verticalCenter
            onClicked: {
                root.pressed()
            }
        }

        Text{
            id: labelArea
            width: root.labelWidth
            text: label
            anchors.verticalCenter: parent.verticalCenter
            anchors.left: inlineImage.right
            color: root.labelColor
            wrapMode: Text.WordWrap
        }
    }

}
