import QtQuick 2.4

ModalDialog {
    id: root

    property string message: "Notice"

    Component.onCompleted: hide()
    onTimedOut: hide()  // hide the pop-up when timer expires

    function showMessage(string, seconds) {
        message = string
        showWithTimeout(seconds)
    }

    function showWithTimeout(seconds) {
        buzzer.buttonPress()
        startTimeout(seconds)
        show()
    }

    function show() {
        visible = true
   }

    width: 831
    height: 86

    BorderImage {   // pop-up dialog background
        id: bannerBackground

        anchors.fill: parent
        source: "graphics/MessageBanner/Pop_Up_Narrow_Grey.png"
        border { top: 10; bottom: 10; left: 10; right: 10}

        Text {
            id: bannerText
            anchors.verticalCenter: parent.verticalCenter
            anchors.horizontalCenter: parent.horizontalCenter
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            scale: paintedWidth > parent.width ? (parent.width/ paintedWidth) : 1
            height: parent.height
            width: paintedWidth
            color: "#ffffff"
            text: root.message
            font.bold: true
            font.pixelSize: 40
        }
    }
}
