import QtQuick 2.4
import ".."
import ConfigurationData 1.0
import Components 1.0


Rectangle {
    id: root
    width: 1366
    height: 768
    anchors.fill: parent
    state: ""
    color: "transparent"
    property int type: 1
    property QtObject filteredList



    property int topOffset: 130
    property int itemSpacing: 0

    property int menuItemWidth: 150
    property int menuItemHeight: 75


    signal close()


    Component.onCompleted: {
        filterList(type) ;
    }

    function filterList(t) {
        var newModel = calibration_parameters_list
        for( var i = calibration_parameters_list.count-1 ; i >= 0 ; i--) {
            if ( newModel.get(i).type != type ) {
                newModel.remove(i)
            }
        }
        root.filteredList = newModel
        countryList.model = newModel
    }

    Item{
        id: calibrationListSection
        anchors.left: parent.left
        anchors.leftMargin: 20
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        width: 350

        Rectangle{
            color:"red"
            opacity:0.0
            anchors.fill: parent
        }



        SelectList {
            id: countryList
            width: parent.width
            height: parent.height
            anchors.fill: parent
            items_visible: 8
            model: calibration_parameters_list
                onCurrentIndexChanged:{
                    contactHRDisplay.label =  countryList.selectedData.label
                }
        }
    }

        ParameterAdjustControl{
            id: contactHRDisplay
            value: 0
            minValue: 0
            maxValue: 200
            expandable: false
            expanded: true
            //label:model.label
            anchors.left: calibrationListSection.right
            anchors.verticalCenter: calibrationListSection.verticalCenter
            //opacity: countryList.testPath.opacity
        }


    ImageButton{
        label: qsTr("SAVE") + application.emptyString
        upimage:"../graphics/200/TRU_200_other_small_Button_Up.png"
        downimage:"../graphics/200/TRU_200_other_small_Button_Down.png"
        label_under: false
        label_y_offset: -3
        anchors.right: parent.right
        anchors.rightMargin: 20
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 20
        onClicked: console.debug("write to eeprom")
    }



    ListModel {
        id: calibration_parameters_list
        ListElement { label: qsTr("Crank Ratio"); type:1 }
        ListElement { label: qsTr("Counts Per Rev."); type:1 }
        ListElement { label: qsTr("Minimum Stride Length"); type:2 }
        ListElement { label: qsTr("Maximum Stride Length"); type:2 }
        ListElement { label: qsTr("Stride Length"); type:2 }
        ListElement { label: qsTr("Torque Factor 1"); type:1 }
        ListElement { label: qsTr("Torque Factor 2"); type:1 }
        ListElement { label: qsTr("Torque Factor 3"); type:1 }
        ListElement { label: qsTr("Torque Factor 4"); type:1 }
        ListElement { label: qsTr("Torque Factor 5"); type:1 }
        ListElement { label: qsTr("P Constant"); type:1 }
        ListElement { label: qsTr("I Constant"); type:1 }
        ListElement { label: qsTr("D Constant"); type:1 }
        ListElement { label: qsTr("Max. Incline (%)"); type: 0}
        ListElement { label: qsTr("Min. Incline (%)"); type: 0}
        ListElement { label: qsTr("Max. Incline (ADC)"); type: 0}
        ListElement { label: qsTr("Min. Incline (ADC)"); type: 0}
        ListElement { label: qsTr("Roller Diameter"); type: 0}
        ListElement { label: qsTr("Max. Speed"); type: 0}

    }
}
