import QtQuick 2.4
import Process 0.1
import Components 1.0

Rectangle {
    id: root

    property string scriptsdir: "/usr/local/bin/truetouch/scripts"

    width: 100
    height: 62

    Rectangle {
        id: pointer

        color: "red"
        width:8
        height: 8
        radius: 2

    }

    MouseArea {
        anchors.fill: parent
        onClicked: {
            pointer.x = mouseX - pointer.width/2
            pointer.y = mouseY - pointer.height/2
        }
    }

    ImageButton {
        id: calButton

        anchors { bottom : parent.bottom ; bottomMargin: 25 ; left: parent.left }

        upimage:"../graphics/224/224_Data_Bar_4.png"
        downimage:"../graphics/224/224_Data_Bar_4.png"
        label_color: "black"
        label: qsTr("calibrate") + application.emptyString
        onClicked: calProcess.start()
    }

    Process {
        id: calProcess

        program: root.scriptsdir + "/touch_calibration.sh"
        onStarted: print("touch calibration started.")
    }
}
