// ScrollText.qml - A console-like text scroll component

import QtQuick 2.4


Rectangle {
    property alias font: scrolling_text.font

    width: 400
    height: 218
    color: "black"

    property int maxlines: 20

    function addText(newstring) {
        scrolling_text.text = scrolling_text.text + newstring + "\n"

        // delete content at top when max lines exceeded
        if(scrolling_text.lineCount > maxlines ) {
            scrolling_text.select(0,80)
            scrolling_text.cut()
            scrolling_text.deselect()
        }
        flick.contentY = Math.max(0,  scrolling_text.paintedHeight - flick.height)
    }

    Flickable {
        id: flick
        anchors.fill: parent
        clip: true

        contentHeight: scrolling_text.paintedHeight

        TextEdit {
            id: scrolling_text
            color: "white"
            text: ""

        }
    }

}


