// import QtQuick 2.4 // to target S60 5th Edition or Maemo 5
import QtQuick 2.4
import FileIO 1.0
import StorageMgr 1.0

Item {
    id: root

    property string slidesSource: "/media/usb"
    property string slidesDestination: "/data/slideshow/user"

    function deleteCurrentSlides() {
        var imagesToDelete = storageMgr.listFiles(root.slidesDestination, ["*.png", "*.jpg"])
        for (var i = 0; i < imagesToDelete.length; i++) {
            var fullpath = root.slidesDestination + "/" + imagesToDelete[i]
            var res = fileio.remove(fullpath)
            if (!res) {
                console.log("!! file remove failed", source)
            }
        }
    }

    function commitSlides() {
        root.deleteCurrentSlides()

        // create destination directory if it does not exist
        storageMgr.createDirectory(root.slidesDestination)

        var images = storageMgr.listFiles(root.slidesSource, ["*.png", "*.jpg"])
        for (var i = 0; i < images.length; i++) {
            var source = root.slidesSource + "/" + images[i]
            var destination = root.slidesDestination + "/" + images[i]
            var res = fileio.copy(source, destination)
            if (!res) {
                console.log("!! file copy failed", source, destination)
            }
        }
    }

    FileIO {
        id: fileio
        onError: print("IO error: " + error)
    }

    StorageMgr {
        id: storageMgr
    }
}
