// import QtQuick 2.4 // to target S60 5th Edition or Maemo 5
import QtQuick 2.4
import Components 1.0


Item {
    id: root
    property bool menu_opened: true
    property int expanded_width: 1100
    property Component delegate

    signal itemClicked(int index)
    Component.onCompleted: {
        child.sourceComponent = delegate
    }

    clip: true
    width: root.menu_opened ? expanded_width: foldbutton.width+1

    Behavior on width {
        NumberAnimation { duration: 200; easing.type: Easing.InOutQuad }
    }

    Loader {
        id: child
    }

    Rectangle{
        id: foldbutton
        anchors.right: parent.right
        anchors.rightMargin: 1
        width: 40
        radius: 20
        height: parent.height
        border.color: "black"

        Text {
            text: (root.menu_opened)?"<":">" ;
            font.pixelSize: 20 ;
            anchors.fill: parent ;
            verticalAlignment: Text.AlignVCenter
            horizontalAlignment: Text.AlignHCenter
        }
        MouseArea {
            anchors.fill: parent
            onClicked: {
                //options_menu.width = ((options_menu.width > 0) ? 0: 1100 )
                root.menu_opened =  !(root.menu_opened)
                //console.log( "width:" + options_menu.width)
                console.log( "open:" + root.menu_opened)
            }
        }
    } // end fold button
}
