// import QtQuick 2.4 // to target S60 5th Edition or Maemo 5
import QtQuick 2.4

// Simple label-value pair
Rectangle {
    id: root

    property string label: "----"
    property string value: ""
    property string labelColor: "black"
    property string valueColor: "black"
    property alias font: labelArea.font

    width: childrenRect.width
    height: visible ? 56 : 0
    x: 30

    color: "transparent"
    opacity: 1

    // attributes needed to be used in a KeyedControlList
    property bool selected: false
    property int navCursorWidth: root.width
    property bool disabled: !enabled

    function leftPressed() {}
    function rightPressed() {}
    function enterPressed() {}

    Text{
        id: labelArea
        text: label
        anchors.verticalCenter: root.verticalCenter
        anchors.left: parent.left
        color: root.labelColor
        wrapMode: Text.WordWrap
    }

    Text {
        id: valueArea
        text: value
        anchors.verticalCenter: root.verticalCenter
        anchors.right: parent.right
        color: root.valueColor
        wrapMode: Text.WordWrap
    }

}
