import QtQuick 2.4

Item {
    id: root
    property string ipodState: ""
    property bool keysAccepted: false
    property bool allowFullscreen: false
    state: root.ipodState + "State"
    width: 500
    height: 380
    Text {
        id: connectedText
        text: qsTr("iPod Connected") + application.emptyString
        font { pixelSize: 36; family: "arial"; bold: true }
        horizontalAlignment: Text.AlignHCenter
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: parent.top
        anchors.topMargin: 40
    }
    Image {
        id: volInstructions // displayed when unselected only
        source: "../graphics/tft/vol-up-down_icons.png"
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 125
    }
    Item {
        id: navDirections
        width: 270
        height: 190
        anchors.centerIn: parent
        Text {
            id: text_n1
            text: qsTr("use") + application.emptyString
            font { pixelSize: 28; family: "arial"; bold: true }
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
        }
        Item {
            id: text_n2
            width: 240
            height: 32
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: text_n1.bottom
            anchors.topMargin: 15
            Item {
                anchors.left: parent.left
                width: 90
                Image {
                    id: arrowRew
                    source: "../graphics/tft/REW_icon.png"
                    anchors.left: parent.left
                }
                Image {
                    id: arrowFwd
                    source: "../graphics/tft/FWD_icon.png"
                    anchors.right: parent.right
                }
            }
            Item {
                anchors.right: parent.right
                width: 90
                Image {
                    id: arrowDown
                    source: "../graphics/tft/arrow_down.png"
                    anchors.left: parent.left
                }
                Image {
                    id: arrowUp
                    source: "../graphics/tft/arrow_up.png"
                    anchors.right: parent.right
                }
            }
        }
        Text {
            id: text_n3
            text: qsTr("to navigate") + application.emptyString
            font { pixelSize: 28; family: "arial"; bold: true }
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: text_n2.bottom
            anchors.topMargin: 15
        }
        Text {
            id: text_n4
            text: qsTr("menu.") + application.emptyString
            font { pixelSize: 28; family: "arial"; bold: true }
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: text_n3.bottom
            anchors.topMargin: 15
        }
    }
    Item {
        id: playScreenInstructions
        width: 270
        height: 190
        anchors.centerIn: parent
        Text {
            id: text_p1
            visible: ipodmanager.playStatus === "playing"
            text: qsTr("use") + application.emptyString
            font { pixelSize: 28; family: "arial"; bold: true }
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
        }
        Item {
            id: text_p2
            visible: ipodmanager.playStatus === "playing"
            width: 145
            height: 32
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: text_p1.bottom
            anchors.topMargin: 15
            Image {
                id: rewImage
                source: "../graphics/tft/REW_icon.png"
                anchors.left: parent.left
            }
            Image {
                id: fwdImage
                source: "../graphics/tft/FWD_icon.png"
                anchors.right: parent.right
            }
        }
        Text {
            id: text_p3
            visible: ipodmanager.playStatus === "playing"
            text: qsTr("to advance or replay.") + application.emptyString
            font { pixelSize: 28; family: "arial"; bold: true }
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: text_p2.bottom
            anchors.topMargin: 15
        }
        Text {
            id: text_p4
            width: 182
            height: 50
            anchors.left: image_p5.left
            anchors.leftMargin: -5
            anchors.top: text_p3.bottom
            anchors.topMargin: 15
            Text {
                id: p4_menu
                text: qsTr("MENU") + application.emptyString
                font { pixelSize: 18; family: "arial"; bold: true }
                x: 0
                y: 3
            }
            Image {
                id: p4_equals
                source: "../graphics/tft/equals.png"
                x: 62
            }
            Text {
                text: qsTr("ENTER") + application.emptyString
                font { pixelSize: 18; family: "arial"; bold: true }
                x: 111
                y: 3
            }
        }
        Image {
            id: image_p5
            source: "../graphics/tft/vol-up-down_icons.png"
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: text_p4.bottom
            anchors.topMargin: 15
        }
    }
    Item {
        id: medVideoControls
        width: 280
        height: 220
        anchors {
            bottom: parent.bottom
            bottomMargin: 30
            right: parent.right
            rightMargin: 20
        }
        Text {
            id: video1
            width: 182
            height: 40
            anchors.left: parent.left
            anchors.top: parent.top
            anchors.topMargin: 45
            visible: root.allowFullscreen
            Image {
                source: "../graphics/netpulse/Fullscreen_icon.png"
                x: 0
            }
            Image {
                source: "../graphics/tft/equals.png"
                x: 62
            }
            Text {
                text: qsTr("ENTER") + application.emptyString
                font { pixelSize: 18; family: "arial"; bold: true }
                x: 111
                y: 3
            }
        }
        Text {
            id: video3
            width: 182
            height: 40
            anchors.left: parent.left
            anchors.top: video1.bottom
            anchors.topMargin: 15
            Text {
                text: qsTr("CHAN") + application.emptyString
                font { pixelSize: 18; family: "arial"; bold: true }
                x: 0
                y: 3
            }
            Image {
                source: "../graphics/tft/equals.png"
                x: 62
            }
            Text {
                text: "<img src=\"../graphics/tft/REW_icon.png\" /> &nbsp;<img src=\"../graphics/tft/FWD_icon.png\" />"
                font { pixelSize: 18; family: "arial"; bold: true }
                x: 111
                y: -5
            }
        }
        Image {
            id: video4
            source: "../graphics/tft/vol-up-down_icons.png"
            anchors.left: parent.left
            anchors.leftMargin: 6
            anchors.top: video3.bottom
            anchors.topMargin: 15
        }
    }
    states: [
        State {
            name: "not_connectedState"
            PropertyChanges { target: connectedText; visible: false }
            PropertyChanges { target: volInstructions; visible: false }
            PropertyChanges { target: navDirections; visible: false }
            PropertyChanges { target: playScreenInstructions; visible: false }
            PropertyChanges { target: medVideoControls; visible: false }
        },
        State {
            name: "playing_menuState"
            PropertyChanges { target: connectedText; visible: true }
            PropertyChanges { target: volInstructions; visible: root.keysAccepted === false }
            PropertyChanges { target: navDirections; visible: root.keysAccepted }
            PropertyChanges { target: playScreenInstructions; visible: false }
            PropertyChanges { target: medVideoControls; visible: false }
        },
        State {
            name: "notplaying_menuState"
            PropertyChanges { target: connectedText; visible: true }
            PropertyChanges { target: volInstructions; visible: false }
            PropertyChanges { target: navDirections; visible: root.keysAccepted }
            PropertyChanges { target: playScreenInstructions; visible: false }
            PropertyChanges { target: medVideoControls; visible: false }
        },
        State {
            name: "playing_notmenuState"
            PropertyChanges { target: connectedText; visible: true }
            PropertyChanges { target: volInstructions; visible: root.keysAccepted === false }
            PropertyChanges { target: navDirections; visible: false }
            PropertyChanges { target: playScreenInstructions; visible: root.keysAccepted && !videoView.visible }
            PropertyChanges { target: medVideoControls; visible: root.keysAccepted && videoView.visible }
        },
        State {
            name: "notplaying_notmenuState"
            PropertyChanges { target: connectedText; visible: true }
            PropertyChanges { target: volInstructions; visible: false }
            PropertyChanges { target: navDirections; visible: false }
            PropertyChanges { target: playScreenInstructions; visible: root.keysAccepted }
            PropertyChanges { target: medVideoControls; visible: false }
        }
    ]
}
