// import QtQuick 2.4 // to target S60 5th Edition or Maemo 5
import QtQuick 2.4


BorderImage {
    id: root

    property string title
    property string artist
    property string album
    property int duration: 200
    property int position: 0
    property bool scrubControlVisible: true

    signal scrub(int new_time)

    width: 500

    source: "../graphics/205/IPOD_Window.png"
    border.bottom: 50
    border.top: 50
    border.right: 50
    border.left: 50

    Text {
        id: title_text
        text: root.title
        font.bold: true
        width: parent.width - root.border.left - root.border.right
        horizontalAlignment: Text.AlignHCenter
        clip: true
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: parent.top
        anchors.topMargin: 70
        wrapMode: Text.WordWrap
    }

    Text {
        id: artist_text
        text: root.artist
        font.bold: false
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: title_text.bottom
        anchors.topMargin: 10
        wrapMode: Text.WordWrap
        width: parent.width * 0.9
        horizontalAlignment: Text.AlignHCenter
    }
    Text {
        id: album_text
        text: root.album
        font.bold: false
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: artist_text.bottom
        anchors.topMargin: 10
        wrapMode: Text.WordWrap
        width: parent.width * 0.9
        horizontalAlignment: Text.AlignHCenter

    }


    ScrubControl {
        id: scrub_control

        visible: scrubControlVisible

        duration: root.duration
        position: root.position

        onScrub: { root.scrub(new_time) }

        anchors.bottom: parent.bottom
        anchors.bottomMargin: 40
        anchors.right: parent.right
        anchors.rightMargin: 30
        anchors.left: parent.left
        anchors.leftMargin: 50

    }

    Text {
        id: now_playing_title
        text: qsTr("NOW PLAYING") + application.emptyString
        anchors.top: parent.top
        anchors.topMargin: 20
        anchors.left: parent.left
        anchors.leftMargin: 20
        font.bold: true
        font.pixelSize: 24
    }


}
