import QtQuick 2.4

NetpulseWindow {
    id: root

    property int loginTimeoutSeconds: 30

    signal timeout()
    signal loggedIn()

    page: "registration"

    onMessageReceived: {
        if(message.op == "touch") {
            var touchtime = message.resp

            if(touchtime >= loginTimeoutSeconds) {
                // close login screen
                root.timeout()
            }
        }
        else if (message.op == "button") {
            if (message.id == "logincnx")
                root.timeout()
        }
        else if (message.op == "user") {
            root.loggedIn()
            if(message.action !== "nohide")
                netpulse.hideAll()
        }
    }

    // poll Netpulse about the last time the screen was touched.
    // The login screen will timeout if response indicates longer than timeout period
    Timer {
        id: touchPollTimer

        interval: (root.loginTimeoutSeconds +1) * 1000
        repeat: true
        running: root.visible

        onTriggered: netpulse.touchQuery() // will cause a touch message to be received with the last time touched
    }
}
