import QtQuick 2.4
import Components 1.0

// prompt user for ending the workout

ModalDialog {
    id: root

    blockKeys: true

    signal resumeClicked()

    Connections {
        target: main.isTft && root.visible ? keymapper : null

        onStartQuickStartPressed: {
            root.resumeClicked()
        }

        onStartPressed: {
            root.resumeClicked()
        }
    }

    BorderImage {   // pop-up dialog background
        id: border

        x: 0
        y: 0
        width: 800
        height: 350
        source: "graphics/Pop_Up_Lrg_Grey.png"
        border { top: 152; bottom: 165; left: 145; right: 144 }

        Text {
            id: noUserDetectedText

            color: "#ffffff"
            text: qsTr("NO USER DETECTED.") + application.emptyString
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            anchors.topMargin: 20
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
            font.bold: true
            font.pixelSize: 50
        }

        Text {
            id: pressToContinueText
            visible: main.isTouch

            color: "#ffffff"
            text: qsTr("PRESS TO CONTINUE:") + application.emptyString
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: noUserDetectedText.bottom
            anchors.topMargin: 0
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
            font.bold: true
            font.pixelSize: 25
        }

        Text {
            id: tftContinueText
            visible: main.isTft

            color: "#ffffff"
            text: qsTr("PRESS START TO CONTINUE") + application.emptyString
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: noUserDetectedText.bottom
            anchors.topMargin: 0
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
            font.bold: true
            font.pixelSize: 25
        }

        ImageButton {
            id: resumeButton
            visible: main.isTouch

            anchors.top: pressToContinueText.bottom
            anchors.topMargin: 0
            anchors.horizontalCenter: parent.horizontalCenter
            upimage: "graphics/Small_Start.png"
            downimage: "graphics/Small_Start_Down.png"
            onClicked: resumeClicked()
        }

        Text { // show count down to timeout of prompt (started by startTimeout(seconds) method of ModalDialog superclass
            id: countdownText
            color: "#ffffff"

            // display count down (with a leading 0 if remaining seconds < 10
            text: ":" + ((countDown.toString().length < 2) ? "0" : "") + countDown
            font.bold: true
            font.pixelSize: 80
            horizontalAlignment: Text.AlignHCenter
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: resumeButton.bottom
            anchors.topMargin: -20
        }
    }
}

