import QtQuick 2.4
import Components 1.0
import ".."

Item {
    id: container
    //color: "red"
    state: "less"
    width: 430
    height:100
    //property State controlState: "less"
    property string label: qsTr("value") + application.emptyString
    property int value: 0
    property int minValue: 0
    property int maxValue: 100
    property bool expandable: true
    property bool expanded: false

    signal valueUpdated()
    signal stateChangedToActive()

    function toggle(){
        if(container.expanded == false)
        {

            container.expanded = true
            container.width = 500
            container.height = 200

            stateChangedToActive()
        }
        else if(container.expanded == true)
        {
            container.width = 430
            container.height = 100
            container.expanded = false
        }
    }

    function collapse(){
        container.expanded = false
    }

    Text{
        id: containerLabelText
        color: "black"
        text: label
        anchors.left: container.left
        anchors.leftMargin: 20

        anchors.top: container.top
        anchors.topMargin: 20
        z: 5
    }
    // inactive container
    Item{
        id: inactiveContainer
        anchors.top: container.top
        anchors.left: container.left
        visible: !expanded
        //color: "transparent"
        Image{
            id: inactiveHeaderImage
            source: "graphics/setup/Setup_Small_Down.png"
            x: parent.x
            y: parent.y
            MouseArea{
                id: inactiveContainerMouseArea
                anchors.fill: inactiveHeaderImage
                onClicked:
                {
                    if(expandable == true)
                        container.toggle()
                }
            }
        }

        Text{
            id: inactiveContainerValueText
            color: "black"
            text: value
            anchors.top: inactiveHeaderImage.top
            anchors.topMargin: 20
            z: 5
            anchors.left: inactiveHeaderImage.left
            anchors.leftMargin: 350
        }
    }
    // active container
    Item{
        id: activeContainer
        anchors.top: container.top
        anchors.left: container.left
        visible: expanded
        Image{
            id: activeHeaderImage
            source: "graphics/setup/Setup_Large_Up_Step1.png"
            x: parent.x - 8
            y: parent.y - 9
            z: 0

            MouseArea{
                id: activeContainerMouseArea
                x: parent.x
                y: parent.y
                anchors.fill: parent
                onClicked: {
                    if(expandable == true)
                        container.toggle()
                }
            }
        }

        Text{
            id: activeContainerValueText
            color: "black"
            text: value
            anchors.top: activeHeaderImage.top
            anchors.topMargin: 75
            z: 5
            anchors.left: activeHeaderImage.left
            anchors.leftMargin: 350
        }

        Image{
            id: activeDetailImage
            source: "graphics/setup/Setup_Large_Up_Step2.png"
            x: activeHeaderImage.x + 75
            y: activeHeaderImage.y + 75
            z: activeHeaderImage.z - 1

            Item{
                id: scrollContainer

                width: parent.width - 100
                height: 30

                anchors.bottom: parent.bottom
                anchors.bottomMargin: 40
                anchors.horizontalCenter: parent.horizontalCenter

                SliderControl{
                    id: slider

                    orientation: Qt.Horizontal
                    anchors {
                        top: scrollContainer.top ;
                        bottom: scrollContainer.bottom ;
                        right: scrollContainer.right ;
                        left: scrollContainer.left
                    }
                    trackImage: ""
                    maxValue: container.maxValue
                    minValue: container.minValue
                    showButtons: true
                    showValue: false
                    value: container.value
                    onValueChanged: {
                        container.value = value
                        //valueUpdated()
                    }
                }
            }
        }
    }

    /*states:[
        State {
            name: "less";
            PropertyChanges {
                target: inactiveContainer
                visible: true
            }
            PropertyChanges {
                target: activeContainer
                visible: false
            }
            PropertyChanges {
                target: container
                width: 430
                height:100
            }

        },
        State {
            name: "more";
            PropertyChanges {
                target: inactiveContainer
                visible: false
            }
            PropertyChanges {
                target: activeContainer
                visible: true
            }
            PropertyChanges {
                target: container
                width: 500
                height: 200
            }
        }
    ]*/


}
