// import QtQuick 2.4 // to target S60 5th Edition or Maemo 5
import QtQuick 2.4

Item {
    id: root

    property string color: "green"
    property alias dx: pointer.x
    property alias dy: pointer.y
    property string label: color

    Rectangle {
        id: pointer
        x: 100
        y: 100
        width: 8
        height: 8
        radius: 2
        color: root.color
    }

    Text {
        anchors.left: pointer.left
        anchors.bottom: pointer.bottom
        text: root.label + ":" + pointer.x + "," + pointer.y
    }

    MouseArea {
        id:mouseArea

        anchors.fill: pointer
        /*
        onPressed: {
            if( (mouseX > (pointer.x - pointer.width/2) && (mouseX < (pointer.x+pointer.width/2))) &&
                (mouseY > (pointer.y - pointer.height/2) && (mouseY < (pointer.y+pointer.height/2)))    ) {
                drag.target = pointer
            }
            else {
                drag.target = undefined
                forwardEvent(mouse, "clicked")
                console.log("forward")
            }
        }
        onReleased: mouseArea.visible = true
        */
        drag {
            target: pointer ;
            axis: Drag.XandYAxis ;
            minimumX: 0 ; maximumX: parent.width
            minimumY: 0 ; maximumY: parent.height
        }
        function forwardEvent(event, eventType) {
            mouseArea.visible = false
            var item = parent.childAt(event.x, event.y)
            //mouseArea.visible = true
            if (item && item != mouseArea && typeof(item[eventType]) == "function") {
                item[eventType](event);

            }

        }
    }

}

