import QtQuick 2.4

Item {
    id: root
    width: 1366
    height: 768

    Connections {
        target: main.isTft && root.visible ? keymapper : null

        onEnter2Pressed: {
            main.debugKeys("enter2Pressed", "SetupWizardIntro")
            setupWizard.changeState()
        }
    }

    Column{
        spacing: 30
        anchors.horizontalCenter: root.horizontalCenter
        anchors.verticalCenter: root.verticalCenter
        Text{
            text: qsTr("Setup Wizard") + application.emptyString
            font.bold: true
            font.pixelSize: 60
            horizontalAlignment: Text.AlignHCenter
            width:500
            height:100
        }

        Text{
            text: qsTr("Setup is now complete! Enjoy your machine!") + application.emptyString
            font.bold: true
            font.pixelSize: 30
            horizontalAlignment: Text.AlignHCenter
            width:500
            height:100
        }
    }

    Text {
        id: bottomHelpText
        visible: main.isTft

        height: 48
        font { family: "arial"; pixelSize: 36; bold: true }
        color: "#6c6c6c"
        text: qsTr("press ENTER to complete setup") + application.emptyString

        anchors.bottom: parent.bottom
        anchors.bottomMargin: 25
        anchors.horizontalCenter: parent.horizontalCenter
    }
}
