import QtQuick 2.4
import WorkoutManager 1.0
import Components 1.0

Item {
    id: root

    property int currentStride
    property bool autoStrideAvailable: workoutProgram.programIndex !== WorkoutProgram.STRIDE_INTERVALS_PROG && !workoutProgram.isC360Program

    signal strideSelected(int stride)

    height: 62
    width: childrenRect.width

    BorderImage {
        id: greenStrideBar
        source: "graphics/CSA/strideadjust_greenbar.png"
        horizontalTileMode: BorderImage.Stretch
        border {
            left: 20
            right: 20
            top: 10
            bottom: 10
        }
        width: 770
        height: 32
        anchors.left: parent.left
        anchors.verticalCenter: parent.verticalCenter
    }

    Row {
        spacing: 10
        anchors.left: parent.left
        anchors.leftMargin: 10
        anchors.verticalCenter: greenStrideBar.verticalCenter

        Row {
            id: stride_buttons

            spacing: 20
            visible: root.visible
            anchors.verticalCenter: parent.verticalCenter
            ImageButton {
                id: strideLow
                upimage: root.currentStride === 13 ? "graphics/205/Lrg_Button_Down.png" : "graphics/205/Lrg_Button_Up.png"
                downimage: "graphics/205/Lrg_Button_Down.png"
                onClicked: root.strideSelected(13)
                anchors.verticalCenter: parent.verticalCenter
                Image {
                    source: "graphics/CSA/Data_ToolBar_Icon_Stride-Short.png"
                    y: 5
                    x: 5
                }
            }
            ImageButton {
                id: strideIntermed1
                y: 10
                upimage: root.currentStride === 17 ? "graphics/205/SM_Button_ORANGE.png" : "graphics/205/SM_Button_BLUE.png"
                downimage: "graphics/205/SM_Button_ORANGE.png"
                onClicked: root.strideSelected(17)
            }
            ImageButton {
                id: strideMid
                upimage: root.currentStride === 21 ? "graphics/205/Lrg_Button_Down.png" : "graphics/205/Lrg_Button_Up.png"
                downimage: "graphics/205/Lrg_Button_Down.png"
                onClicked: root.strideSelected(21)
                Image {
                    source: "graphics/CSA/Data_ToolBar_Icon_Stride-Medium.png"
                    y: 5
                    x: 5
                }
            }
            ImageButton {
                id: strideIntermed2
                y: 10
                upimage: root.currentStride === 25 ? "graphics/205/SM_Button_ORANGE.png" : "graphics/205/SM_Button_BLUE.png"
                downimage: "graphics/205/SM_Button_ORANGE.png"
                onClicked: root.strideSelected(25)
            }
            ImageButton {
                id: strideHigh
                upimage: root.currentStride === 30 ? "graphics/205/Lrg_Button_Down.png" : "graphics/205/Lrg_Button_Up.png"
                downimage: "graphics/205/Lrg_Button_Down.png"
                onClicked: root.strideSelected(30)
                Image {
                    source: "graphics/CSA/Data_ToolBar_Icon_Stride-Long.png"
                    y: 5
                    x: 5
                }
            }
        } // end buttons_row
        Text {
            id: unlockText

            visible: true
            font.pointSize: 14
            font.bold: true
            text: qsTr("QUICK STRIDE") + application.emptyString
            color: "#ffffff"
            width: 180
            wrapMode: Text.WordWrap
            verticalAlignment: Text.AlignVCenter
            anchors.verticalCenter: parent.verticalCenter
        }
        ImageButton {
            id: autoStrideButton

            visible: root.autoStrideAvailable
            upimage: machinecontrol.autoStrideEnabled ? "graphics/205/Lrg_Button_Down.png" : "graphics/205/Lrg_Button_Up.png"
            downimage: "graphics/205/Lrg_Button_Down.png"
            onClicked: machinecontrol.autoStrideEnabled = !machinecontrol.autoStrideEnabled
            anchors.verticalCenter: parent.verticalCenter
            Image {
                source: "graphics/CSA/Data_ToolBar_Icon_AutoStride.png"
                y: 5
                x: 5
            }
        }

    } // end Row

}
