import QtQuick 2.4

ListModel {
    id: tv_country_codes

    function getCountry(code) {
        for( var i = tv_country_codes.count-1 ; i >= 0 ; i--) {
            if ( tv_country_codes.get(i).code === code ) {
                return tv_country_codes.get(i)
            }
        }
    }

    ListElement { code: "us"; label: QT_TR_NOOP("United States"); tuner: "ATSC"; norm: "NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" }
    ListElement { code: "us-hrc"; label: QT_TR_NOOP("United States (HRC)"); tuner: "ATSC"; norm: "NTSC-M" ; actable: "us-cable-hrc" ; attable: "us-bcast" }
    ListElement { code: "us-unicable"; label: QT_TR_NOOP("Unicable"); tuner: "ATSC"; norm: "NTSC-M" ; actable: "unicable" ; attable: "us-bcast" }
    ListElement { code: "ar"; label: QT_TR_NOOP("Argentina"); tuner:"DVB" ; norm:"PAL-N" ; actable: "argentina" ; attable: "argentina" }
    ListElement { code: "au"; label: QT_TR_NOOP("Australia"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "australia" ; attable: "australia-optus" }
    ListElement { code: "at"; label: QT_TR_NOOP("Austria"); tuner:"DVB" ; norm: "PAL-BG" ; actable: "europe-west" ; attable: "europe-west" }
    ListElement { code: "be"; label: QT_TR_NOOP("Belgium"); tuner:"DVB" ; norm: "PAL-BG" ; actable: "europe-west" ; attable: "europe-west" }
    ListElement { code: "bz"; label: QT_TR_NOOP("Belize"); tuner:"DVB" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" }
    ListElement { code: "bm"; label: QT_TR_NOOP("Bermuda Islands"); tuner:"DVB" ;norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" }
    ListElement { code: "bo"; label: QT_TR_NOOP("Bolivia"); tuner: "ISDB" ; norm:"PAL-N" ; actable: "us-cable" ; attable: "us-bcast" }
    ListElement { code: "br"; label: QT_TR_NOOP("Brazil"); tuner: "ISDB" ; norm:"PAL-M" ; actable: "us-cable" ; attable: "us-bcast" }
    ListElement { code: "ca"; label: QT_TR_NOOP("Canada"); tuner: "ATSC" ; norm: "NTSC-M" ; actable: "us-cable" ; attable: "us-bcast"  }
    ListElement { code: "cl"; label: QT_TR_NOOP("Chile"); tuner:"ISDB" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" }
    ListElement { code: "cn"; label: QT_TR_NOOP("China"); tuner: "DMB" ; norm: "PAL-DK" ; actable: "unicable" ; attable: "china-bcast" }
    ListElement { code: "co"; label: QT_TR_NOOP("Columbia"); tuner: "DVB" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast"}
    ListElement { code: "cr"; label: QT_TR_NOOP("Costa Rica"); tuner:"ATSC" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" }
    ListElement { code: "cw"; label: QT_TR_NOOP("Curacao"); tuner:"DVB" ; norm:"NTSC-M" ; actable: "unicable" ; attable: "us-bcast" }
    ListElement { code: "cy"; label: QT_TR_NOOP("Cyprus"); tuner:"DVB"; norm:"PAL-BG" ; actable: "unicable" ; attable: "europe-west" }
    ListElement { code: "cz"; label: QT_TR_NOOP("Czech Republic"); tuner:"DVB" ; norm: "PAL-DK" ; actable: "europe-east" ; attable: "europe-east" }
    ListElement { code: "dk"; label: QT_TR_NOOP("Denmark"); tuner:"DVB" ; norm: "PAL-BG" ; actable: "europe-west" ; attable: "europe-west" }
    ListElement { code: "do"; label: QT_TR_NOOP("Dominican Republic"); tuner:"ATSC" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" }
    ListElement { code: "eg"; label: QT_TR_NOOP("Egypt"); tuner:"DVB" ; norm:"SECAM-B" ; actable: "unicable" ; attable: "europe-west"}
    ListElement { code: "sv"; label: QT_TR_NOOP("El Salvador"); tuner:"ATSC" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" }
    ListElement { code: "fr"; label: QT_TR_NOOP("France"); tuner:"DVB" ; norm: "SECAM-L" ; actable: "france" ; attable: "france" }
    ListElement { code: "de"; label: QT_TR_NOOP("Germany"); tuner:"DVB" ; norm: "PAL-BG" ; actable: "europe-west" ; attable: "europe-west" }
    ListElement { code: "gr"; label: QT_TR_NOOP("Greece"); tuner:"DVB" ; norm: "PAL-DK" ; actable: "europe-east" ; attable: "europe-east" }
    ListElement { code: "gl"; label: QT_TR_NOOP("Greenland"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "us-cable" ; attable: "us-bcast" }
    ListElement { code: "gp"; label: QT_TR_NOOP("Guadeloupe"); tuner:"ATSC" ; norm:"NTSC-M" ; actable: "unicable" ; attable: "us-bcast"} //French overseas territory
    ListElement { code: "gt"; label: QT_TR_NOOP("Guatemala"); tuner:"ATSC" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" }
    ListElement { code: "ht"; label: QT_TR_NOOP("Haiti"); tuner: "ATSC" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast"}
    ListElement { code: "hn"; label: QT_TR_NOOP("Honduras"); tuner:"ATSC" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" }
    ListElement { code: "hk"; label: QT_TR_NOOP("Hong Kong"); tuner: "DMB" ; norm: "PAL-I" ; actable: "europe-west" ; attable: "europe-west" }
    ListElement { code: "hu"; label: QT_TR_NOOP("Hungary"); tuner:"DVB" ; norm: "PAL-DK" ; actable: "europe-east" ; attable: "europe-east" }
    ListElement { code: "IN"; label: QT_TR_NOOP("India"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "unicable" ; attable: "europe-west"}
    ListElement { code: "id"; label: QT_TR_NOOP("Indonesia"); tuner: "DVB" ; norm:"PAL-BG" ; actable: "us-cable" ; attable: "us-bcast"}
    ListElement { code: "ie"; label: QT_TR_NOOP("Ireland"); tuner:"DVB" ; norm: "PAL-I" ; actable: "ireland" ; attable: "ireland" }
    ListElement { code: "il"; label: QT_TR_NOOP("Israel"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "unicable" ; attable: "europe-west"}
    ListElement { code: "it"; label: QT_TR_NOOP("Italy"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "italy" ; attable: "italy" }
    ListElement { code: "jp"; label: QT_TR_NOOP("Japan"); tuner:"ISDB" ; norm: "NTSC-M" ; actable: "japan-cable" ; attable: "japan-bcast" }
    ListElement { code: "lu"; label: QT_TR_NOOP("Luxembourg"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "france" ; attable: "france" }
    ListElement { code: "my"; label: QT_TR_NOOP("Malaysia"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "unicable" ; attable: "europe-west" }
    ListElement { code: "mq"; label: QT_TR_NOOP("Martinique"); tuner:"ATSC" ; norm:"NTSC-M" ; actable: "unicable" ; attable: "us-bcast" } //Frech overseas territory
    ListElement { code: "mx"; label: QT_TR_NOOP("Mexico"); tuner:"ATSC" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" }
    ListElement { code: "ma"; label: QT_TR_NOOP("Morocco"); tuner:"DVB" ; norm:"SECAM-B" ; actable: "unicable" ; attable: "us-bcast" }
    ListElement { code: "nl"; label: QT_TR_NOOP("Netherlands"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "europe-west" ; attable: "europe-west" }
    ListElement { code: "nz"; label: QT_TR_NOOP("New Zealand"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "newzealand" ; attable: "newzealand" }
    ListElement { code: "ni"; label: QT_TR_NOOP("Nicaragua"); tuner:"ATSC" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" }
    ListElement { code: "ng"; label: QT_TR_NOOP("Nigeria"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "unicable" ; attable: "europe-west"}
    ListElement { code: "no"; label: QT_TR_NOOP("Norway"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "europe-west" ; attable: "europe-west" }
    ListElement { code: "pa"; label: QT_TR_NOOP("Panama"); tuner:"DVB" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" }
    ListElement { code: "py"; label: QT_TR_NOOP("Paraguay"); tuner: "ISDB" ; norm:"PAL-N" ; actable: "argentina" ; attable: "argentina" }
    ListElement { code: "pe"; label: QT_TR_NOOP("Peru"); tuner: "ISDB" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" }
    ListElement { code: "ph"; label: QT_TR_NOOP("Philippines"); tuner: "ISDB" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast"}
    ListElement { code: "pl"; label: QT_TR_NOOP("Poland"); tuner:"DVB" ; norm:"SECAM-DK" ; actable: "europe-east" ; attable: "europe-east" }
    ListElement { code: "pt"; label: QT_TR_NOOP("Portugal"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "europe-west" ; attable: "europe-west" }
    ListElement { code: "pr"; label: QT_TR_NOOP("Puerto Rico"); tuner:"ATSC" ;norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast"}
    ListElement { code: "qa"; label: QT_TR_NOOP("Qatar"); tuner: "DVB" ; norm:"PAL-BG" ; actable: "unicable" ; attable: "europe-west" }
    ListElement { code: "ru"; label: QT_TR_NOOP("Russia"); tuner:"DVB" ; norm:"SECAM-DK" ; actable: "russia" ; attable: "russia" }
    ListElement { code: "mf"; label: QT_TR_NOOP("Saint Martin"); tuner:"ATSC" ;norm:"NTSC-M" ; actable: "unicable" ; attable: "us-bcast"} //?
    ListElement { code: "pm"; label: QT_TR_NOOP("Saint Pierre"); tuner: "ATSC" ;norm:"NTSC-M"; actable: "unicable" ; attable: "us-bcast"} // French overseas territory
    ListElement { code: "sa"; label: QT_TR_NOOP("Saudi Arabia"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "europe-east" ; attable: "europe-east" }
    ListElement { code: "sk"; label: QT_TR_NOOP("Slovakia"); tuner:"DVB" ;norm:"SECAM-DK" ; actable: "europe-east" ; attable: "europe-east" }
    ListElement { code: "za"; label: QT_TR_NOOP("South Africa"); tuner:"DVB" ; norm:"PAL-I" ; actable: "southafrica" ; attable: "southafrica" }
    ListElement { code: "kp"; label: QT_TR_NOOP("South Korea"); tuner:"ATSC" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" }
    ListElement { code: "es"; label: QT_TR_NOOP("Spain"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "europe-west" ; attable: "europe-west" }
    ListElement { code: "lk"; label: QT_TR_NOOP("Sri Lanka"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "unicable" ; attable: "europe-west"}
    ListElement { code: "se"; label: QT_TR_NOOP("Sweden"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "europe-west" ; attable: "europe-west" }
    ListElement { code: "ch"; label: QT_TR_NOOP("Switzerland"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "europe-west" ; attable: "europe-west" }
    ListElement { code: "tw"; label: QT_TR_NOOP("Taiwan"); tuner:"DVB" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" }
    ListElement { code: "th"; label: QT_TR_NOOP("Thailand"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "europe-west" ; attable: "europe-west" }
    ListElement { code: "tt"; label: QT_TR_NOOP("Trinidad and Tobago"); tuner:"ATSC" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" }
    ListElement { code: "tr"; label: QT_TR_NOOP("Turkey"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "europe-east" ; attable: "europe-east" }
    ListElement { code: "ae"; label: QT_TR_NOOP("UAE"); tuner:"DVB" ; norm:"PAL-BG" ; actable: "unicable" ; attable: "europe-west" }
    ListElement { code: "gb"; label: QT_TR_NOOP("UK"); tuner:"DVB" ; norm:"PAL-I" ; actable: "europe-west" ; attable: "europe-west" }
    ListElement { code: "ua"; label: QT_TR_NOOP("Ukraine"); tuner:"DVB" ; norm:"SECAM-DK" ; actable: "europe-east" ; attable: "europe-east" }
    ListElement { code: "ve"; label: QT_TR_NOOP("Venezuela"); tuner: "ISDB" ; norm:"NTSC-M" ; actable: "us-cable" ; attable: "us-bcast" }
}
