import QtQuick 2.4
import Components 1.0

Item{

    id: root

    height: visible ? 56 : 0
    x: 30
    opacity: disabled ? 0.5 : 1.0
    width: childrenRect.width

    property bool value
    property string labelString: ""
    property string labelColor: "black"
    property alias pos0label: button.pos0label
    property alias pos1label: button.pos1label
    property alias pos0image: button.pos0image
    property alias pos1image: button.pos1image
    property alias pos0image_disabled: button.pos0image_disabled
    property alias pos1image_disabled: button.pos1image_disabled
    property alias labelcolor: button.labelcolor
    property alias highlightcolor: button.highlightColor
    property alias posFont: button.posFont

    signal toggled()

    Component.onCompleted:
    {
        button.value = root.value
    }
    onValueChanged:
    {
        button.value = root.value
    }

    // attributes needed to be used in a KeyedControlList
    property bool selected: false
    property int navCursorWidth: label.width
    property bool disabled: false

    function leftPressed() {
        root.value = false
    }

    function rightPressed() {
        root.value = true
    }

    function enterPressed() {
        root.value = !root.value
    }

    Text{
        id: label
        text: labelString
        color: labelColor
        anchors.verticalCenter: parent.verticalCenter
        width: 250
        wrapMode: Text.WordWrap
    }

    ToggleButton{
        id: button
        anchors.left: label.right
        anchors.leftMargin: 30
        anchors.verticalCenter: label.verticalCenter

        onValueChanged:
        {
            root.value = value ? true : false
            toggled()
        }
    }
}
