// import QtQuick 2.4 // to target S60 5th Edition or Maemo 5
import QtQuick 2.4
import Brainboard 1.0
import Components 1.0

ModalDialog {
    id: root

    blockKeys: true

//    signal acceptClicked()
//    signal cancelClicked()

//    property real oldSpeed
//    property real newSpeed

    signal jumpStart()

    onCountDownChanged: if(countDown == 1) jumpStart()

    BorderImage {   // pop-up dialog background
        id: border

        anchors.horizontalCenter: root.horizontalCenter
        anchors.verticalCenter: root.verticalCenter
        width: 800
        height: 350
        source: "graphics/Pop_Up_Lrg_Grey.png"
        border { top: 152; bottom: 165; left: 145; right: 144 }

        Text {
            id: warningText
            x: 149
            y: 35
            width: 501
            height: 99
            color: "#ffffff"
            text: qsTr("Workout Beginning in...") + application.emptyString
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            anchors.topMargin: 35
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
            font.bold: true
            font.pixelSize: 40
        }


        Text { // show count down to timeout of prompt (started by startTimeout(seconds) method of ModalDialog superclass
            id: countdownText

            x: 350
            y: 168
            color: "#ffffff"

            // display count down (with a leading 0 if remaining seconds < 10
            text: ":" + ((countDown.toString().length < 2) ? "0" : "") + countDown
            font.bold: true
            font.pixelSize: 96

            anchors.horizontalCenter: parent.horizontalCenter
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 73
        }
    }


}

