/* @file program_setup.js
    @brief Definitions of the program setup field descriptions
*
*   AGE = 1
*   WEIGHT = 2
*   GENDER = 3
*   TIME = 4
*   DISTANCE = 5
*   CALORIES = 6
*   MAX SPEED = 7
*   MAX INCLINE = 8
*   LEVEL1to20 = 9
*   LEVEL1to30 = 10
*   PACE1to20 = 11
*   PACE1to30 = 12
*   SPEED = 13
*   INCLINE = 14
*   SEGMENTS = 15
*   WORKLOAD = 16
*   WORK HEART RATE = 17
*   REST HEART RATE = 18
*   TARGET HEART RATE = 19
*   WORK SPEED = 20
*   REST SPEED = 21
*/

// ===== PROGRAM SETUP FIELD DESCRIPTIONS =====
var prog_setup_age_desc = QT_TRANSLATE_NOOP("Setup", "Enter AGE to activate heart rate training zone display.  Contact heart rate pads or wireless heart rate strap must be used. AGE must be between 10 and 99 years old.")
var prog_setup_age_ft_desc = QT_TRANSLATE_NOOP("Setup", "Enter AGE between 10 and 99 years old.  Wireless heart rate strap is recommended for this fitness test.  TARGET HEART RATE is automatically calculated based on age and cannot be changed.")
var prog_setup_age_wo_desc = QT_TRANSLATE_NOOP("Setup", "Enter AGE between 10 and 99 years old.  Wireless heart rate strap is recommended for this workout.  TARGET HEART RATE is automatically calculated based on age and cannot be changed.")
var prog_setup_age_army_desc = QT_TRANSLATE_NOOP("Setup", "Enter AGE between 10 and 99 years old.  This test is based on a 2 mile WORKOUT DISTANCE and cannot be changed.")
var prog_setup_age_navy_airforce_desc = QT_TRANSLATE_NOOP("Setup", "Enter AGE between 10 and 99 years old.  This test is based on a 1.5 mile WORKOUT DISTANCE and cannot be changed.")
var prog_setup_weight_desc = QT_TRANSLATE_NOOP("Setup", "Enter WEIGHT for more accurate calorie calculation and display during workout.")
var prog_setup_gender_desc = QT_TRANSLATE_NOOP("Setup", "Select MALE or FEMALE.  TARGET HEART RATE is automatically calculated based on age and cannot be changed.")
var prog_setup_gender_ft_desc = QT_TRANSLATE_NOOP("Setup", "Select MALE or FEMALE.")
var prog_setup_gender_army_desc = QT_TRANSLATE_NOOP("Setup", "Select MALE or FEMALE.  This test is based on a 2 mile WORKOUT DISTANCE and cannot be changed.")
var prog_setup_gender_navy_desc = QT_TRANSLATE_NOOP("Setup", "Select MALE or FEMALE.  This test is based on AGE, GENDER and a 1.5 mile WORKOUT DISTANCE and cannot be changed.")
var prog_setup_gender_airforce_desc = QT_TRANSLATE_NOOP("Setup", "Select MALE or FEMALE.  This test is based on a 1.5 mile WORKOUT DISTANCE and cannot be changed.")
var prog_setup_gender_marines_desc = QT_TRANSLATE_NOOP("Setup", "Select MALE or FEMALE.  This test is based on a 3 mile WORKOUT DISTANCE and cannot be changed.")
var prog_setup_manual_time_desc = QT_TRANSLATE_NOOP("Setup", "Enter WORKOUT TIME.  OR scroll to WORKOUT DISTANCE.  WORKOUT TIME must be between 5 and 99 minutes.")
var prog_setup_time_99_desc = QT_TRANSLATE_NOOP("Setup", "Enter WORKOUT TIME in minutes.  WORKOUT TIME must be between 5 and 99 minutes.")
var prog_setup_time_99_manual_desc = QT_TRANSLATE_NOOP("Setup", "Enter WORKOUT TIME in minutes.  OR scroll to WORKOUT DISTANCE.  WORKOUT TIME must be between 5 and 99 minutes.")
var prog_setup_time_60_desc = QT_TRANSLATE_NOOP("Setup", "Enter WORKOUT TIME in minutes.  WORKOUT TIME must be between 5 and 99 minutes.")
var prog_setup_manual_dist_desc = QT_TRANSLATE_NOOP("Setup", "Enter WORKOUT DISTANCE.  OR scroll to WORKOUT TIME.  WORKOUT DISTANCE must be between 0.1 and 50.0 MILES.")
var prog_setup_dist_desc = QT_TRANSLATE_NOOP("Setup", "Choose one of the 4 distance options.")
var prog_setup_fixed_distance_desc = QT_TRANSLATE_NOOP("Setup", "This test is based on a fixed WORKOUT DISTANCE and cannot be changed.")
var prog_setup_cals_desc = QT_TRANSLATE_NOOP("Setup", "Enter a CALORIE GOAL between 30 and 999 and machine will adjust WORKLOAD to meet goal (based on maintaining 60 RPMs during workout).  WORKOUT TIME affects achievable calorie goal.")
var prog_setup_cals_tread_desc = QT_TRANSLATE_NOOP("Setup", "Enter a CALORIE GOAL between 30 and 999.  Number must be equal to, or below CALCULATED CALORIES.  If not, TIME, SPEED or INCLINE must be increased to allow machine to achieve your desired calorie goal.")
var prog_setup_max_speed_desc = QT_TRANSLATE_NOOP("Setup", "Enter MAXIMUM SPEED. Treadmill will determine optimum workout speed to maintain heart rate target during workout. Minimum speed is 0.5 MPH (.8 KPH).")
var prog_setup_max_speed_cal_goal_desc = QT_TRANSLATE_NOOP("Setup", "Enter workout SPEED. Minimum speed is 0.5 MPH (.8 KPH).")
var prog_setup_max_speed_cc_sr_desc = QT_TRANSLATE_NOOP("Setup", "Enter MAXIMUM SPEED. Treadmill will create a workout that will peak in the middle at this speed, then decrease over the remaining workout time. Speed setting must be above 3.5 MPH (5.6 KPH) for this workout.")
var prog_setup_max_incline_desc = QT_TRANSLATE_NOOP("Setup", "Enter MAXIMUM INCLINE. By choosing 0.0% incline, treadmill will only use speed variation to maintain HEART RATE.")
var prog_setup_max_incline_cal_goal_desc = QT_TRANSLATE_NOOP("Setup", "Enter INCLINE setting for your workout.")
var prog_setup_level_desc = QT_TRANSLATE_NOOP("Setup", "Enter a LEVEL from 1 to 20.  Higher levels increase WORKLOAD and suggested PACE used during workout.  WORKLOAD and PACE are adjustable at any time during the workout.")
var prog_setup_level1to20_desc = QT_TRANSLATE_NOOP("Setup", "Enter a LEVEL from 1 to 20.  Higher levels increase WORKLOAD used during workout.  WORKLOAD is adjustable at any time during workout.")
var prog_setup_level1to30_desc = QT_TRANSLATE_NOOP("Setup", "Enter a LEVEL from 1 to 30.  Higher levels increase WORKLOAD used during workout.  WORKLOAD is adjustable at any time during workout.")
var prog_setup_treadlevel1to20_incline_desc = QT_TRANSLATE_NOOP("Setup", "Enter a LEVEL from 1 to 20.  Higher levels increase MAXIMUM INCLINE used during workout.")
var prog_setup_treadlevel1to20_speed_desc = QT_TRANSLATE_NOOP("Setup", "Enter a LEVEL from 1 to 20.  Higher levels increase MAXIMUM SPEED used during workout.")
var prog_setup_pace1to20_desc = QT_TRANSLATE_NOOP("Setup", "Choose a PACE level from 1 to 20.  Higher levels increase suggested RPMs used during workout.  The suggested RPMs will be shown in the PACE SETTER throughout the workout.")
var prog_setup_pace1to30_desc = QT_TRANSLATE_NOOP("Setup", "Choose a PACE level from 1 to 30.  Higher levels increase suggested RPMs used during workout.  The suggested RPMs will be shown in the PACE SETTER throughout the workout.")
var prog_setup_speed_desc = QT_TRANSLATE_NOOP("Setup", "Enter workout SPEED. Minimum speed is 0.5 MPH (.8 KPH).")
var prog_setup_speed_wlh_desc = QT_TRANSLATE_NOOP("Setup", "Enter workout SPEED. This is a walking workout that allows speed settings between 0.5 and 4.0 MPH (.8 - 6.4 KPH).")
var prog_setup_incline_desc = QT_TRANSLATE_NOOP("Setup", "Enter INCLINE setting for your workout.")
var prog_setup_elevation_desc = QT_TRANSLATE_NOOP("Setup", "The 1.5 mile WORKOUT DISTANCE cannot be changed.")
var prog_setup_segments_desc = QT_TRANSLATE_NOOP("Setup", "Enter number of segments for your custom workout.  Number of segments must be from 2 to 30.  SEGMENT TIME is based on WORKOUT TIME and number of SEGMENTS.")
var prog_setup_workload1to20_desc = QT_TRANSLATE_NOOP("Setup", "Enter a LEVEL from 1 to 20.  Higher levels increase WORKLOAD used during workout.  WORKLOAD is adjustable at any time during the workout.")
var prog_setup_workload1to30_desc = QT_TRANSLATE_NOOP("Setup", "Enter a LEVEL from 1 to 30.  Higher levels increase WORKLOAD used during workout.  WORKLOAD is adjustable at any time during the workout.")
var prog_setup_stride_min_desc = QT_TRANSLATE_NOOP("Setup", "Choose WORK and REST stride lengths. Lowest number is a stepping motion, while highest number is striding motion. Intervals are 1 minute each.")
var prog_setup_stride_max_desc = QT_TRANSLATE_NOOP("Setup", "Choose WORK and REST stride lengths. Lowest number is a stepping motion, while highest number is striding motion. Intervals are 1 minute each.")

var prog_setup_workHR_desc
if (main.isTouch) {
    prog_setup_workHR_desc = QT_TRANSLATE_NOOP("Setup", "Adjust WORK HEART RATE to desired beats per minute (BPM) between 71 and 200.  % MAX will adjust automatically based on AGE.  To view HEART RATE guidelines, press HRC button.")
} else if (main.isTft) {
    prog_setup_workHR_desc = QT_TRANSLATE_NOOP("Setup", "Adjust WORK HEART RATE to desired beats per minute (BPM) between 71 and 200.  % MAX will adjust automatically based on AGE.  To view HEART RATE guidelines, choose HRC button.")
}
var prog_setup_restHR_desc
if (main.isTouch) {
    prog_setup_restHR_desc = QT_TRANSLATE_NOOP("Setup", "Adjust REST HEART RATE to desired beats per minute (BPM) between 70 and 199.  % REST HEART RATE must be below WORK HEART RATE.  To view HEART RATE guidelines, press HRC button.")
} else if (main.isTft) {
    prog_setup_restHR_desc = QT_TRANSLATE_NOOP("Setup", "Adjust REST HEART RATE to desired beats per minute (BPM) between 70 and 199.  % REST HEART RATE must be below WORK HEART RATE.  To view HEART RATE guidelines, choose HRC button.")
}

var prog_setup_targetHR_desc
if (main.isTouch) {
    prog_setup_targetHR_desc = QT_TRANSLATE_NOOP("Setup", "Adjust TARGET HEART RATE to desired beats per minute (BPM) between 70 and 200.  % MAX will adjust automatically based on AGE.  To view HEART RATE guidelines, press HRC button.")
} else if (main.isTft) {
    prog_setup_targetHR_desc = QT_TRANSLATE_NOOP("Setup", "Adjust TARGET HEART RATE to desired beats per minute (BPM) between 70 and 200.  % MAX will adjust automatically based on AGE.  To view HEART RATE guidelines, choose HRC button.")
}
var prog_setup_work_speed_desc = QT_TRANSLATE_NOOP("Setup", "Enter WORK SPEED above 0.5 MPH (.8 KPH). WORK SPEED must be faster than REST SPEED setting.")
var prog_setup_rest_speed_desc = QT_TRANSLATE_NOOP("Setup", "Enter REST SPEED. REST SPEED must be slower than WORK SPEED.")
var prog_setup_run_speed_desc = QT_TRANSLATE_NOOP("Setup", "Enter RUN SPEED above 0.5 MPH (.8 KPH). RUN SPEED must be faster than WALK SPEED setting.")
var prog_setup_walk_speed_desc = QT_TRANSLATE_NOOP("Setup", "Enter WALK SPEED between 0.5 and 4.0 MPH (.8 - 6.4 KPH). WALK SPEED must be slower than RUN SPEED.")
var prog_setup_custom_c360_time_desc = QT_TRANSLATE_NOOP("Setup", "Adjust time for each exercise between :00 and 2:00 as desired.  Reducing an exercise to :00 will eliminate that motion from your custom Cardio360.")
var manual_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_manual_time_desc,
            prog_setup_manual_dist_desc,
            prog_setup_workload1to30_desc
        ];

var distance_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_dist_desc,
            prog_setup_workload1to20_desc
        ];

var stride_distance_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_dist_desc,
            prog_setup_workload1to20_desc
        ];

var calories_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_cals_desc
        ];

var rolling_hills_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_workload1to20_desc
        ];

var single_hill_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_workload1to20_desc
        ];

var hill_intervals_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_workload1to20_desc
        ];

var cardio_challenge_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_level_desc
        ];

var pace_ramp_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_pace1to20_desc,
            prog_setup_workload1to30_desc
        ];

var pace_intervals_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_pace1to20_desc,
            prog_setup_workload1to30_desc
        ];

var hrc_aerobic_prog_setup_fields = [
            prog_setup_age_wo_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            ""
        ];

var hrc_weight_loss_prog_setup_fields = [
            prog_setup_age_wo_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            ""
        ];

var hrc_target_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_targetHR_desc
        ];

var hrc_distance_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_dist_desc,
            prog_setup_targetHR_desc
        ];

var hrc_intervals_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_targetHR_desc
        ];

var glute_buster_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_workload1to20_desc
        ];

var leg_shaper_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_pace1to20_desc,
            prog_setup_workload1to30_desc
        ];

var walk_and_run_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_pace1to20_desc,
            prog_setup_workload1to30_desc
        ];

var c360_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_workload1to30_desc
        ];

var c360_arm_sculptor_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            "", // read-only time field - do not show text
            prog_setup_workload1to30_desc
        ];

var c360_leg_shaper_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_workload1to30_desc
        ];

var custom_pace_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_segments_desc,
            prog_setup_workload1to30_desc
        ];

var custom_hills_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_segments_desc,
            prog_setup_pace1to20_desc
        ];

var custom_ultra_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_segments_desc
        ];

var custom_hrc_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_workHR_desc,
            prog_setup_restHR_desc
        ];

var custom_c360_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_workload1to30_desc,
        ];

var random_hills_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_workload1to20_desc
        ];

var fitness_test_prog_setup_fields = [
            prog_setup_age_ft_desc,
            prog_setup_weight_desc,
            prog_setup_gender_desc,
            prog_setup_targetHR_desc
        ];

var stride_intervals_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_workload1to20_desc,
            prog_setup_stride_min_desc,
            prog_setup_stride_max_desc
        ];

var tread_calorie_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_max_speed_cal_goal_desc,
            prog_setup_max_incline_cal_goal_desc,
        ];

var tread_cardio_challenge_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_max_speed_cc_sr_desc,
            prog_setup_treadlevel1to20_incline_desc
        ];

var tread_custom_hills_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_speed_desc,
            prog_setup_segments_desc
        ];

var tread_custom_speed_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_incline_desc,
            prog_setup_segments_desc
        ];

var tread_custom_ultra_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_segments_desc
        ];

var tread_custom_hrc_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_max_speed_desc,
            prog_setup_max_incline_desc,
            prog_setup_workHR_desc,
            prog_setup_restHR_desc
        ];

var tread_distance_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_dist_desc,
            prog_setup_speed_desc,
            prog_setup_incline_desc
        ];

var tread_glute_buster_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_treadlevel1to20_incline_desc,
            prog_setup_speed_desc
        ];

var tread_hill_intervals_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_treadlevel1to20_incline_desc,
            prog_setup_speed_desc
        ];

var tread_hrc_aerobic_prog_setup_fields = [
            prog_setup_age_wo_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_max_speed_desc,
            prog_setup_max_incline_desc,
            ""
        ];

var tread_hrc_distance_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_dist_desc,
            prog_setup_max_speed_desc,
            prog_setup_max_incline_desc,
            prog_setup_targetHR_desc
        ];

var tread_hrc_intervals_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_max_speed_desc,
            prog_setup_max_incline_desc,
            prog_setup_targetHR_desc
        ];

var tread_hrc_target_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_max_speed_desc,
            prog_setup_max_incline_desc,
            prog_setup_targetHR_desc
        ];

var tread_hrc_weight_loss_prog_setup_fields = [
            prog_setup_age_wo_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_max_speed_desc,
            prog_setup_max_incline_desc,
            ""
        ];

var tread_leg_shaper_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_treadlevel1to20_speed_desc,
            prog_setup_incline_desc
        ];

var tread_manual_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_manual_desc,
            prog_setup_manual_dist_desc,
            prog_setup_speed_desc,
            prog_setup_incline_desc
        ];

var tread_random_hills_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_treadlevel1to20_incline_desc,
            prog_setup_speed_desc
        ];

var tread_rolling_hills_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_treadlevel1to20_incline_desc,
            prog_setup_speed_desc
        ];

var tread_single_hill_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_treadlevel1to20_incline_desc,
            prog_setup_speed_desc
        ];

var tread_speed_intervals_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_work_speed_desc,
            prog_setup_rest_speed_desc,
            prog_setup_incline_desc
        ];

var tread_speed_ramp_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_max_speed_cc_sr_desc,
            prog_setup_incline_desc
        ];

var tread_walk_and_run_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_run_speed_desc,
            prog_setup_walk_speed_desc,
            prog_setup_incline_desc
        ];

var tread_weight_loss_hills_prog_setup_fields = [
            prog_setup_age_desc,
            prog_setup_weight_desc,
            prog_setup_time_99_desc,
            prog_setup_treadlevel1to20_incline_desc,
            prog_setup_speed_wlh_desc
        ];

var tread_air_force_military_fitness_test_prog_setup_fields = [
            prog_setup_age_navy_airforce_desc,
            prog_setup_gender_airforce_desc,
            prog_setup_fixed_distance_desc
        ];

var tread_army_military_fitness_test_prog_setup_fields = [
            prog_setup_age_army_desc,
            prog_setup_gender_army_desc,
            prog_setup_fixed_distance_desc
        ];

var tread_marines_military_fitness_test_prog_setup_fields = [
            prog_setup_gender_marines_desc,
            prog_setup_fixed_distance_desc
        ];

var tread_navy_military_fitness_test_prog_setup_fields = [
            prog_setup_age_navy_airforce_desc,
            prog_setup_gender_navy_desc,
            prog_setup_elevation_desc,
            prog_setup_fixed_distance_desc
        ];

var tread_gerkin_test_prog_setup_fields = [
            prog_setup_age_ft_desc,
            prog_setup_gender_desc,
            prog_setup_targetHR_desc
        ];

var dummy_array = [
            " ",
            " ",
            " ",
            " ",
            " ",
            " "
        ];

var workout_programs = [
        manual_prog_setup_fields,
        distance_prog_setup_fields,
        calories_prog_setup_fields,
        rolling_hills_prog_setup_fields,
        single_hill_prog_setup_fields,
        hill_intervals_prog_setup_fields,
        cardio_challenge_prog_setup_fields,
        pace_ramp_prog_setup_fields,
        pace_intervals_prog_setup_fields,
        hrc_aerobic_prog_setup_fields,
        hrc_weight_loss_prog_setup_fields,
        hrc_target_prog_setup_fields,
        hrc_distance_prog_setup_fields,
        hrc_intervals_prog_setup_fields,
        glute_buster_prog_setup_fields,
        leg_shaper_prog_setup_fields,
        walk_and_run_prog_setup_fields,
        dummy_array,    // C360 quickstart
        c360_prog_setup_fields,
        c360_arm_sculptor_prog_setup_fields,
        c360_leg_shaper_prog_setup_fields,
        dummy_array,    // C360 demo
        dummy_array,    // C360 video
        custom_pace_prog_setup_fields,
        custom_hills_prog_setup_fields,
        custom_ultra_prog_setup_fields,
        custom_hrc_prog_setup_fields,
        custom_c360_prog_setup_fields,
        random_hills_prog_setup_fields,
        fitness_test_prog_setup_fields,
        tread_calorie_prog_setup_fields,
        tread_cardio_challenge_prog_setup_fields,
        tread_custom_hills_prog_setup_fields,
        tread_custom_speed_prog_setup_fields,
        tread_custom_ultra_prog_setup_fields,
        tread_custom_hrc_prog_setup_fields,
        tread_distance_prog_setup_fields,
        tread_glute_buster_prog_setup_fields,
        tread_hill_intervals_prog_setup_fields,
        tread_hrc_aerobic_prog_setup_fields,
        tread_hrc_distance_prog_setup_fields,
        tread_hrc_intervals_prog_setup_fields,
        tread_hrc_target_prog_setup_fields,
        tread_hrc_weight_loss_prog_setup_fields,
        tread_leg_shaper_prog_setup_fields,
        tread_manual_prog_setup_fields,
        tread_random_hills_prog_setup_fields,
        tread_rolling_hills_prog_setup_fields,
        tread_single_hill_prog_setup_fields,
        tread_speed_intervals_prog_setup_fields,
        tread_speed_ramp_prog_setup_fields,
        tread_walk_and_run_prog_setup_fields,
        tread_weight_loss_hills_prog_setup_fields,
        tread_air_force_military_fitness_test_prog_setup_fields,
        tread_army_military_fitness_test_prog_setup_fields,
        tread_marines_military_fitness_test_prog_setup_fields,
        tread_navy_military_fitness_test_prog_setup_fields,
        tread_gerkin_test_prog_setup_fields,
        stride_intervals_setup_fields,
        stride_distance_prog_setup_fields,
        dummy_array     // saved programs
    ];

var prog_setup_field_descriptions = [
        prog_setup_age_desc,
        prog_setup_age_ft_desc,
        prog_setup_age_wo_desc,
        prog_setup_age_army_desc,
        prog_setup_age_navy_airforce_desc,
        prog_setup_weight_desc,
        prog_setup_gender_desc,
        prog_setup_gender_ft_desc,
        prog_setup_gender_army_desc,
        prog_setup_gender_navy_desc,
        prog_setup_gender_airforce_desc,
        prog_setup_gender_marines_desc,
        prog_setup_manual_time_desc,
        prog_setup_time_99_desc,
        prog_setup_time_99_manual_desc,
        prog_setup_time_60_desc,
        prog_setup_manual_dist_desc,
        prog_setup_dist_desc,
        prog_setup_cals_desc,
        prog_setup_cals_tread_desc,
        prog_setup_max_speed_desc,
        prog_setup_max_speed_cal_goal_desc,
        prog_setup_max_speed_cc_sr_desc,
        prog_setup_max_incline_desc,
        prog_setup_max_incline_cal_goal_desc,
        prog_setup_level_desc,
        prog_setup_level1to20_desc,
        prog_setup_level1to30_desc,
        prog_setup_treadlevel1to20_incline_desc,
        prog_setup_treadlevel1to20_speed_desc,
        prog_setup_pace1to30_desc,
        prog_setup_pace1to20_desc,
        prog_setup_speed_desc,
        prog_setup_speed_wlh_desc,
        prog_setup_incline_desc,
        prog_setup_elevation_desc,
        prog_setup_segments_desc,
        prog_setup_workload1to20_desc,
        prog_setup_workload1to30_desc,
        prog_setup_workHR_desc,
        prog_setup_restHR_desc,
        prog_setup_targetHR_desc,
        prog_setup_work_speed_desc,
        prog_setup_rest_speed_desc,
        prog_setup_run_speed_desc,
        prog_setup_walk_speed_desc,
        prog_setup_stride_min_desc,
        prog_setup_stride_max_desc
    ];

function func() {

}
