import QtQuick 2.4
import ".."
import "../MediaBrowser"

Item{
    id: root

    property bool showCloseButton: false
    property bool viewShowing: false
    property bool videoShouldShow: false
    property bool videoCanShow: browser.state === "playing_notmenu"

    signal closed()

    width:1000
    height: 406

    function shown() {
        viewShowing = true
        browser.shown()
    }

    function hidden() {
        viewShowing = false
        browser.hidden()
    }

    function viewdestruct() {
        tv.stop()
    }

    // Pass value up to Workout Screen
    Binding {
        target: workoutScreen
        when: true
        property: "ipodVideoShown"
        value: browser.ipodVideoShowing
    }

    MediaBrowser{
        id: browser

        keysAccepted: currentViewName === "IPOD_VIEW"
        allowFullscreen: true
        onClose: root.closed()
        visible: true
        showCloseButton: root.showCloseButton
        width: 1000
        height: 406
        source: "../graphics/netpulse/DATA_gray shape_120612.png"
        anchors.bottom: parent.bottom
        anchors.horizontalCenter: parent.horizontalCenter
        menu_bottom_margin: 0
    }
}
