#!/bin/sh

NETDIR=/etc/network/interfaces.d

# pass -b at the beginning to allow two interfaces
# NOTE: it must be at the beginning, before the other arguments
ALLOW_BOTH="0"
while getopts ":b" opt; do
  case $opt in
  b)
    ALLOW_BOTH="1"
    shift
    ;;
  \?)
    echo "Invalid option: -$OPTARG" >&2
    ;;
  esac
done

INTERFACE=$1
ESSID=$2
PASS=$3
#KEYTYPE=$4

echo stopping networking
sudo ifdown -a --exclude=lo

if [ $INTERFACE = "p2p1" ] ; then
    echo enabling ethernet interface
    sudo ln -sf $NETDIR/p2p1 $NETDIR/p2p1.cfg
    if [ $ALLOW_BOTH = "0" ]; then
        sudo unlink $NETDIR/wlan0.cfg 2>/dev/null
    fi
else
    echo writing wireless authentication setup
    sudo sh -c "echo 'network={'  > /etc/wpa_supplicant.conf"
    sudo sh -c "echo '	ssid=\"$ESSID\"' >> /etc/wpa_supplicant.conf"

    if [ ! -z "$PASS" ] ; then
    	sudo sh -c "echo '	psk=\"$PASS\"' >> /etc/wpa_supplicant.conf"
    else
    	sudo sh -c "echo '	key_mgmt=NONE' >> /etc/wpa_supplicant.conf"
    fi

    sudo sh -c "echo '}' >> /etc/wpa_supplicant.conf"

#network={
#        ssid="$ESSID"
#        psk="$PASS"
#	key_mgmt=$KEYTYPE
#}

#End-of-data

    echo switching interface to wireless
    sudo ln -sf $NETDIR/wlan0 $NETDIR/wlan0.cfg
    if [ $ALLOW_BOTH = "0" ]; then
        sudo unlink $NETDIR/p2p1.cfg 2>/dev/null
    fi
fi

sync
echo restarting networking...
timeout 60s bash -c "sudo ifup -a --exclude=lo"
