#!/bin/sh

# generate a list of packages from a directory of .deb files with the format:
#package_name, version, filename.deb, installed_version

DIR=$1

: ${DIR:="./"}

for dfile in $DIR/*.deb
do
    FNAME=$dfile
    PACKAGE=`dpkg -I $dfile 2> /dev/null | grep Package: | cut -d: -f2`
    if [ -z $PACKAGE ]
    then
        continue
    fi
    VER=`dpkg -I $dfile | grep Version: | cut -d: -f2`
    INSTALLED=`dpkg -s $PACKAGE 2> /dev/null | grep Version: | cut -d: -f2`
    if [ -z $INSTALLED ]
    then
         INSTALLED="NONE";
    fi

    echo $PACKAGE, $VER, $FNAME, $INSTALLED
done

