#!/bin/sh -x
# Add support for qtwebkit built with qt5.5
QT5DIR=/opt/qt5


# find path to executable, which varies depending if we are in production or running through Qt Creator

case "$PWD" in
  "/usr/local/bin/truetouch")
  cd ../truetouch-browser || exit 1
  ;;
  "/home/true/Veracity/"*"build"*"Release"*)
  cd ../build*WebBrowser*Release* || exit 1
  ;;
  "/home/true/Veracity/"*"build"*"Debug"*)
  cd ../build*WebBrowser*Debug* || exit 1
  ;;
esac

if [ -e ${QT5DIR} ]; then
  export LD_LIBRARY_PATH=${QT5DIR}/5.5/gcc/lib:$LD_LIBRARY_PATH
fi
echo "Starting browser from $PWD"
exec ./WebBrowser "$@"
